// SPDX-FileCopyrightText: LXCat team
//
// SPDX-License-Identifier: AGPL-3.0-or-later

export type ElementSummary = {
  name: string;
  number: number;
  symbol: string;
  offset: number;
  padTop: boolean;
};

export const elements: Array<ElementSummary> = [
  { name: "Hydrogen", number: 1, symbol: "H", offset: 0, padTop: false },
  { name: "Helium", number: 2, symbol: "He", offset: 16, padTop: false },
  { name: "Lithium", number: 3, symbol: "Li", offset: 0, padTop: false },
  { name: "Beryllium", number: 4, symbol: "Be", offset: 0, padTop: false },
  { name: "Boron", number: 5, symbol: "B", offset: 10, padTop: false },
  { name: "Carbon", number: 6, symbol: "C", offset: 0, padTop: false },
  { name: "Nitrogen", number: 7, symbol: "N", offset: 0, padTop: false },
  { name: "Oxygen", number: 8, symbol: "O", offset: 0, padTop: false },
  { name: "Fluorine", number: 9, symbol: "F", offset: 0, padTop: false },
  { name: "Neon", number: 10, symbol: "Ne", offset: 0, padTop: false },
  { name: "Sodium", number: 11, symbol: "Na", offset: 0, padTop: false },
  { name: "Magnesium", number: 12, symbol: "Mg", offset: 0, padTop: false },
  { name: "Aluminium", number: 13, symbol: "Al", offset: 10, padTop: false },
  { name: "Silicon", number: 14, symbol: "Si", offset: 0, padTop: false },
  { name: "Phosphorus", number: 15, symbol: "P", offset: 0, padTop: false },
  { name: "Sulfur", number: 16, symbol: "S", offset: 0, padTop: false },
  { name: "Chlorine", number: 17, symbol: "Cl", offset: 0, padTop: false },
  { name: "Argon", number: 18, symbol: "Ar", offset: 0, padTop: false },
  { name: "Potassium", number: 19, symbol: "K", offset: 0, padTop: false },
  { name: "Calcium", number: 20, symbol: "Ca", offset: 0, padTop: false },
  { name: "Scandium", number: 21, symbol: "Sc", offset: 0, padTop: false },
  { name: "Titanium", number: 22, symbol: "Ti", offset: 0, padTop: false },
  { name: "Vanadium", number: 23, symbol: "V", offset: 0, padTop: false },
  { name: "Chromium", number: 24, symbol: "Cr", offset: 0, padTop: false },
  { name: "Manganese", number: 25, symbol: "Mn", offset: 0, padTop: false },
  { name: "Iron", number: 26, symbol: "Fe", offset: 0, padTop: false },
  { name: "Cobalt", number: 27, symbol: "Co", offset: 0, padTop: false },
  { name: "Nickel", number: 28, symbol: "Ni", offset: 0, padTop: false },
  { name: "Copper", number: 29, symbol: "Cu", offset: 0, padTop: false },
  { name: "Zinc", number: 30, symbol: "Zn", offset: 0, padTop: false },
  { name: "Gallium", number: 31, symbol: "Ga", offset: 0, padTop: false },
  { name: "Germanium", number: 32, symbol: "Ge", offset: 0, padTop: false },
  { name: "Arsenic", number: 33, symbol: "As", offset: 0, padTop: false },
  { name: "Selenium", number: 34, symbol: "Se", offset: 0, padTop: false },
  { name: "Bromine", number: 35, symbol: "Br", offset: 0, padTop: false },
  { name: "Krypton", number: 36, symbol: "Kr", offset: 0, padTop: false },
  { name: "Rubidium", number: 37, symbol: "Rb", offset: 0, padTop: false },
  { name: "Strontium", number: 38, symbol: "Sr", offset: 0, padTop: false },
  { name: "Yttrium", number: 39, symbol: "Y", offset: 0, padTop: false },
  { name: "Zirconium", number: 40, symbol: "Zr", offset: 0, padTop: false },
  { name: "Niobium", number: 41, symbol: "Nb", offset: 0, padTop: false },
  { name: "Molybdenum", number: 42, symbol: "Mo", offset: 0, padTop: false },
  { name: "Technetium", number: 43, symbol: "Tc", offset: 0, padTop: false },
  { name: "Ruthenium", number: 44, symbol: "Ru", offset: 0, padTop: false },
  { name: "Rhodium", number: 45, symbol: "Rh", offset: 0, padTop: false },
  { name: "Palladium", number: 46, symbol: "Pd", offset: 0, padTop: false },
  { name: "Silver", number: 47, symbol: "Ag", offset: 0, padTop: false },
  { name: "Cadmium", number: 48, symbol: "Cd", offset: 0, padTop: false },
  { name: "Indium", number: 49, symbol: "In", offset: 0, padTop: false },
  { name: "Tin", number: 50, symbol: "Sn", offset: 0, padTop: false },
  { name: "Antimony", number: 51, symbol: "Sb", offset: 0, padTop: false },
  { name: "Tellurium", number: 52, symbol: "Te", offset: 0, padTop: false },
  { name: "Iodine", number: 53, symbol: "I", offset: 0, padTop: false },
  { name: "Xenon", number: 54, symbol: "Xe", offset: 0, padTop: false },
  { name: "Cesium", number: 55, symbol: "Cs", offset: 0, padTop: false },
  { name: "Barium", number: 56, symbol: "Ba", offset: 0, padTop: false },
  { name: "Lanthanides", number: 0, symbol: "Lanth", offset: 0, padTop: false },
  { name: "Hafnium", number: 72, symbol: "Hf", offset: 0, padTop: false },
  { name: "Tantalum", number: 73, symbol: "Ta", offset: 0, padTop: false },
  { name: "Tungsten", number: 74, symbol: "W", offset: 0, padTop: false },
  { name: "Rhenium", number: 75, symbol: "Re", offset: 0, padTop: false },
  { name: "Osmium", number: 76, symbol: "Os", offset: 0, padTop: false },
  { name: "Iridium", number: 77, symbol: "Ir", offset: 0, padTop: false },
  { name: "Platinum", number: 78, symbol: "Pt", offset: 0, padTop: false },
  { name: "Gold", number: 79, symbol: "Au", offset: 0, padTop: false },
  { name: "Mercury", number: 80, symbol: "Hg", offset: 0, padTop: false },
  { name: "Thallium", number: 81, symbol: "Tl", offset: 0, padTop: false },
  { name: "Lead", number: 82, symbol: "Pb", offset: 0, padTop: false },
  { name: "Bismuth", number: 83, symbol: "Bi", offset: 0, padTop: false },
  { name: "Polonium", number: 84, symbol: "Po", offset: 0, padTop: false },
  { name: "Astatine", number: 85, symbol: "At", offset: 0, padTop: false },
  { name: "Radon", number: 86, symbol: "Rn", offset: 0, padTop: false },
  { name: "Francium", number: 87, symbol: "Fr", offset: 0, padTop: false },
  { name: "Radium", number: 88, symbol: "Ra", offset: 0, padTop: false },
  { name: "Actinides", number: 0, symbol: "Act", offset: 0, padTop: false },
  {
    name: "Rutherfordium",
    number: 104,
    symbol: "Rf",
    offset: 0,
    padTop: false,
  },
  { name: "Dubnium", number: 105, symbol: "Db", offset: 0, padTop: false },
  { name: "Seaborgium", number: 106, symbol: "Sg", offset: 0, padTop: false },
  { name: "Bohrium", number: 107, symbol: "Bh", offset: 0, padTop: false },
  { name: "Hassium", number: 108, symbol: "Hs", offset: 0, padTop: false },
  { name: "Meitnerium", number: 109, symbol: "Mt", offset: 0, padTop: false },
  { name: "Darmstadtium", number: 110, symbol: "Ds", offset: 0, padTop: false },
  { name: "Roentgenium", number: 111, symbol: "Rg", offset: 0, padTop: false },
  { name: "Copernicium", number: 112, symbol: "Cn", offset: 0, padTop: false },
  { name: "Nihonium", number: 113, symbol: "Nh", offset: 0, padTop: false },
  { name: "Flerovium", number: 114, symbol: "Fl", offset: 0, padTop: false },
  { name: "Moscovium", number: 115, symbol: "Mc", offset: 0, padTop: false },
  { name: "Livermorium", number: 116, symbol: "Lv", offset: 0, padTop: false },
  { name: "Tennessine", number: 117, symbol: "Ts", offset: 0, padTop: false },
  { name: "Oganesson", number: 118, symbol: "Og", offset: 0, padTop: false },
  { name: "Lanthanum", number: 57, symbol: "La", offset: 2, padTop: true },
  { name: "Cerium", number: 58, symbol: "Ce", offset: 0, padTop: true },
  { name: "Praseodymium", number: 59, symbol: "Pr", offset: 0, padTop: true },
  { name: "Neodymium", number: 60, symbol: "Nd", offset: 0, padTop: true },
  { name: "Promethium", number: 61, symbol: "Pm", offset: 0, padTop: true },
  { name: "Samarium", number: 62, symbol: "Sm", offset: 0, padTop: true },
  { name: "Europium", number: 63, symbol: "Eu", offset: 0, padTop: true },
  { name: "Gadolinium", number: 64, symbol: "Gd", offset: 0, padTop: true },
  { name: "Terbium", number: 65, symbol: "Tb", offset: 0, padTop: true },
  { name: "Dysprosium", number: 66, symbol: "Dy", offset: 0, padTop: true },
  { name: "Holmium", number: 67, symbol: "Ho", offset: 0, padTop: true },
  { name: "Erbium", number: 68, symbol: "Er", offset: 0, padTop: true },
  { name: "Thulium", number: 69, symbol: "Tm", offset: 0, padTop: true },
  { name: "Ytterbium", number: 70, symbol: "Yb", offset: 0, padTop: true },
  { name: "Lutetium", number: 71, symbol: "Lu", offset: 0, padTop: true },
  { name: "Actinium", number: 89, symbol: "Ac", offset: 2, padTop: false },
  { name: "Thorium", number: 90, symbol: "Th", offset: 0, padTop: false },
  { name: "Protactinium", number: 91, symbol: "Pa", offset: 0, padTop: false },
  { name: "Uranium", number: 92, symbol: "U", offset: 0, padTop: false },
  { name: "Neptunium", number: 93, symbol: "Np", offset: 0, padTop: false },
  { name: "Plutonium", number: 94, symbol: "Pu", offset: 0, padTop: false },
  { name: "Americium", number: 95, symbol: "Am", offset: 0, padTop: false },
  { name: "Curium", number: 96, symbol: "Cm", offset: 0, padTop: false },
  { name: "Berkelium", number: 97, symbol: "Bk", offset: 0, padTop: false },
  { name: "Californium", number: 98, symbol: "Cf", offset: 0, padTop: false },
  { name: "Einsteinium", number: 99, symbol: "Es", offset: 0, padTop: false },
  { name: "Fermium", number: 100, symbol: "Fm", offset: 0, padTop: false },
  { name: "Mendelevium", number: 101, symbol: "Md", offset: 0, padTop: false },
  { name: "Nobelium", number: 102, symbol: "No", offset: 0, padTop: false },
  { name: "Lawrencium", number: 103, symbol: "Lr", offset: 0, padTop: false },
];
